Subject: Re: 3.3.0 final

From: Jan Wielemaker <[email-masked]>
Date: Sun, 13 Feb 2000 14:32:57 +0100

> > I uploaded 3.3.0 to the normal directory. Download and home page, online
> > HTML manual, etc. now all reflect 3.3, though 3.2 is still available as
> > alternative from the download pages.
> 
> After downloading and compiling it I found that if we misspelt a
> predicate name the top level aborts the execution with an error message
> (as expected) and aborts the process, droping us back to the shell:
> 
> *************
> Welcome to SWI-Prolog (Version 3.3.0)
> Copyright (c) 1993-1999 University of Amsterdam. All rights reserved.
> 
> For help, use ?- help(Topic). or ?- apropos(Word).
> 
> ?- [-'configs/swi330.config'].
> ERROR: source_sink `-'configs/swi330.config'' does not exist
> ERROR: with_mutex/2: Caught signal 11 (segv)
> [PROLOG SYSTEM ERROR:
>         Recursively received fatal signal 11
> 
> PROLOG STACK:
> [root@localhost lgt250]# !!
> pl
> Welcome to SWI-Prolog (Version 3.3.0)
> Copyright (c) 1993-1999 University of Amsterdam. All rights reserved.
> 
> For help, use ?- help(Topic). or ?- apropos(Word).
> 
> ?- ['configs/swi330.config'].
> % configs/swi330.config compiled 0.01 sec, 8,572 bytes
> 
> Yes
> ?- ['compiler/logtalk.pl'].
> Logtalk 2.5.0
> Copyright (c) 1998-99 Paulo Moura
> % compiler/logtalk.pl compiled 0.14 sec, 183,584 bytes
> 
> Yes
> ?- cd('exmples/bricks').
> ERROR: chdir/1: directory `'exmples/bricks'' does not exist
> ERROR: cd/1: Caught signal 11 (segv)
> [PROLOG SYSTEM ERROR:
>         Recursively received fatal signal 11
> 
> PROLOG STACK:
> [root@localhost lgt250]# !!
> pl
> Welcome to SWI-Prolog (Version 3.3.0)
> Copyright (c) 1993-1999 University of Amsterdam. All rights reserved.
> 
> For help, use ?- help(Topic). or ?- apropos(Word).
> 
> ?- tru.
> Correct to: true? no
> 
> No
> ?- bvnn.
> ERROR: Undefined procedure: bvnn/0
> ERROR: throw/1: Caught signal 11 (segv)
> [PROLOG SYSTEM ERROR:
>         Recursively received fatal signal 11
> 
> PROLOG STACK:
> [root@localhost lgt250]#        
> *************
> 
> To compile the final version I have used the default flags:
> 
> # ./configure
> # make; make install
> 
> I don't remeber this behaviour with the bestas that I have tested.

Did you do a proper `make clean' if you compiled over an old installation?

In theory this could be the case as some things have been changed in
dealing with uncaught exceptions in the final version.  Sofar your problem
does not appear in the two versions I tested: on a vanilla SuSE 6.3 linux
system (glibc 2.1.2, egcs-1.1.2), neither on the Windows version (compiled
with MSVC 5.0, running on Windows-NT Terminal Server with SP4)

Anyone else with these problems?

Could you provide me with a gdb stack-trace (after compiling with -g)?

	Regards --- Jan